Package org.apache.struts2.dispatcher

# Class InitOperations

java.lang.Object
org.apache.struts2.dispatcher.InitOperations

public class InitOperations extends Object
Contains initialization operations

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InitOperations()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cleanup()`
  `protected Dispatcher`
  `createDispatcher(HostConfig filterConfig)`
  Create a `Dispatcher`
  `Dispatcher`
  `findDispatcherOnThread()`
  `Dispatcher`
  `initDispatcher(HostConfig filterConfig)`
  Creates and initializes the dispatcher
  `StaticContentLoader`
  `initStaticContentLoader(HostConfig filterConfig, Dispatcher dispatcher)`
  Initializes the static content loader with the filter configuration

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InitOperations

    public InitOperations()

- ## Method Details

  - ### initDispatcher

    public Dispatcher initDispatcher(HostConfig filterConfig)
    Creates and initializes the dispatcher
    Parameters:
      `filterConfig` - host configuration
    Returns:
      the dispatcher

  - ### initStaticContentLoader

    public StaticContentLoader initStaticContentLoader(HostConfig filterConfig, Dispatcher dispatcher)
    Initializes the static content loader with the filter configuration
    Parameters:
      `filterConfig` - host configuration
      `dispatcher` - the dispatcher
    Returns:
      the static content loader

  - ### findDispatcherOnThread

    public Dispatcher findDispatcherOnThread()
    Returns:
      The dispatcher on the thread.
    Throws:
      `IllegalStateException` - If there is no dispatcher available

  - ### createDispatcher

    protected Dispatcher createDispatcher(HostConfig filterConfig)
    Create a `Dispatcher`
    Parameters:
      `filterConfig` - host configuration
    Returns:
      The dispatcher on the thread.

  - ### cleanup

    public void cleanup()